Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 269329 - net-voip/ekiga-3.2.4 build fails with gcc 4.4.0: exception handling disabled, use -fexceptions to enable
Summary: net-voip/ekiga-3.2.4 build fails with gcc 4.4.0: exception handling disabled,...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mounir Lamouri (volkmar) (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-05-10 21:50 UTC by Jose daLuz
Modified: 2009-07-09 17:06 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Output of paludis --info ekiga (ekiga_paludis_info.txt,24.08 KB, text/plain)
2009-05-10 21:50 UTC, Jose daLuz
Details
Build log for ekiga 3.2.4 (1247008229-install-net-voip_ekiga-3.2.4.log,294.47 KB, text/plain)
2009-07-07 23:16 UTC, Jose daLuz
Details
Output of paludis --info ekiga for 3.2.4 (paludisinfo-ekiga.txt,25.29 KB, text/plain)
2009-07-07 23:17 UTC, Jose daLuz
Details
Patch to fix the compilation (ekiga-3.2.4-gcc44.diff,709 bytes, patch)
2009-07-08 00:03 UTC, Michał Górny
Details | Diff
Diff to ebuild (ekiga-3.2.4.ebuild.diff,355 bytes, patch)
2009-07-08 00:04 UTC, Michał Górny
Details | Diff
Modified GIT patch (ekiga-3.2.4-noexcepts.diff,58.94 KB, patch)
2009-07-09 10:00 UTC, Michał Górny
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jose daLuz 2009-05-10 21:50:03 UTC
After upgrading gcc from 4.3.3-r2 to 4.4.0 and rebuilding world, ekiga 
3.1.2 from the ikelos overlay no longer builds:

 x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../../.. -I../../../../lib -I../../../../lib/gmconf -I../../../../lib/toolbox/ -I../../../../lib/engine/ -I../../../../lib/engine/account -I../../../../lib/engine/addressbook -I../../../../lib/engine/chat -I../../../../lib/engine/hal -I../../../../lib/engine/presence -I../../../../lib/engine/protocol -I../../../../lib/engine/videooutput -I../../../../lib/engine/videoinput -I../../../../lib/engine/audioinput -I../../../../lib/engine/audiooutput -I../../../../lib/engine/framework -I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -DPTRACING=1 -D_REENTRANT -D_GNU_SOURCE=1 -fno-exceptions -I/usr/include/opal -I/usr/include/SDL -DPTRACING=1 -D_REENTRANT -D_GNU_SOURCE=1 -fno-exceptions -I/usr/include/SDL -march=native -O2 -pipe -ggdb -Wall -Wextra -Winit-self -Wswitch-default -Wswitch-enum -Wstrict-aliasing=2 -Wfloat-equal -Wshadow -MT pcss-endpoint.lo -MD -MP -MF .deps/pcss-endpoint.Tpo -c ../../../../lib/engine/components/opal/pcss-endpoint.cpp  -fPIC -DPIC -o .libs/pcss-endpoint.o
 x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../../.. -I../../../../lib -I../../../../lib/gmconf -I../../../../lib/toolbox/ -I../../../../lib/engine/ -I../../../../lib/engine/account -I../../../../lib/engine/addressbook -I../../../../lib/engine/chat -I../../../../lib/engine/hal -I../../../../lib/engine/presence -I../../../../lib/engine/protocol -I../../../../lib/engine/videooutput -I../../../../lib/engine/videoinput -I../../../../lib/engine/audioinput -I../../../../lib/engine/audiooutput -I../../../../lib/engine/framework -I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -DPTRACING=1 -D_REENTRANT -D_GNU_SOURCE=1 -fno-exceptions -I/usr/include/opal -I/usr/include/SDL -DPTRACING=1 -D_REENTRANT -D_GNU_SOURCE=1 -fno-exceptions -I/usr/include/SDL -march=native -O2 -pipe -ggdb -Wall -Wextra -Winit-self -Wswitch-default -Wswitch-enum -Wstrict-aliasing=2 -Wfloat-equal -Wshadow -MT opal-call.lo -MD -MP -MF .deps/opal-call.Tpo -c ../../../../lib/engine/components/opal/opal-call.cpp -o opal-call.o >/dev/null 2>&1
 x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../../.. -I../../../../lib -I../../../../lib/gmconf -I../../../../lib/toolbox/ -I../../../../lib/engine/ -I../../../../lib/engine/account -I../../../../lib/engine/addressbook -I../../../../lib/engine/chat -I../../../../lib/engine/hal -I../../../../lib/engine/presence -I../../../../lib/engine/protocol -I../../../../lib/engine/videooutput -I../../../../lib/engine/videoinput -I../../../../lib/engine/audioinput -I../../../../lib/engine/audiooutput -I../../../../lib/engine/framework -I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -DPTRACING=1 -D_REENTRANT -D_GNU_SOURCE=1 -fno-exceptions -I/usr/include/opal -I/usr/include/SDL -DPTRACING=1 -D_REENTRANT -D_GNU_SOURCE=1 -fno-exceptions -I/usr/include/SDL -march=native -O2 -pipe -ggdb -Wall -Wextra -Winit-self -Wswitch-default -Wswitch-enum -Wstrict-aliasing=2 -Wfloat-equal -Wshadow -MT pcss-endpoint.lo -MD -MP -MF .deps/pcss-endpoint.Tpo -c ../../../../lib/engine/components/opal/pcss-endpoint.cpp -o pcss-endpoint.o >/dev/null 2>&1
 x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../../.. -I../../../../lib -I../../../../lib/gmconf -I../../../../lib/toolbox/ -I../../../../lib/engine/ -I../../../../lib/engine/account -I../../../../lib/engine/addressbook -I../../../../lib/engine/chat -I../../../../lib/engine/hal -I../../../../lib/engine/presence -I../../../../lib/engine/protocol -I../../../../lib/engine/videooutput -I../../../../lib/engine/videoinput -I../../../../lib/engine/audioinput -I../../../../lib/engine/audiooutput -I../../../../lib/engine/framework -I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -DPTRACING=1 -D_REENTRANT -D_GNU_SOURCE=1 -fno-exceptions -I/usr/include/opal -I/usr/include/SDL -DPTRACING=1 -D_REENTRANT -D_GNU_SOURCE=1 -fno-exceptions -I/usr/include/SDL -march=native -O2 -pipe -ggdb -Wall -Wextra -Winit-self -Wswitch-default -Wswitch-enum -Wstrict-aliasing=2 -Wfloat-equal -Wshadow -MT opal-bank.lo -MD -MP -MF .deps/opal-bank.Tpo -c ../../../../lib/engine/components/opal/opal-bank.cpp  -fPIC -DPIC -o .libs/opal-bank.o
../../../../lib/engine/components/opal/opal-account.cpp: In member function 'void Opal::Account::on_edit_form_submitted(bool, Ekiga::Form&)':
../../../../lib/engine/components/opal/opal-account.cpp:438: error: exception handling disabled, use -fexceptions to enable
make[6]: *** [opal-account.lo] Error 1
make[6]: *** Waiting for unfinished jobs....
 x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../../.. -I../../../../lib -I../../../../lib/gmconf -I../../../../lib/toolbox/ -I../../../../lib/engine/ -I../../../../lib/engine/account -I../../../../lib/engine/addressbook -I../../../../lib/engine/chat -I../../../../lib/engine/hal -I../../../../lib/engine/presence -I../../../../lib/engine/protocol -I../../../../lib/engine/videooutput -I../../../../lib/engine/videoinput -I../../../../lib/engine/audioinput -I../../../../lib/engine/audiooutput -I../../../../lib/engine/framework -I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -DPTRACING=1 -D_REENTRANT -D_GNU_SOURCE=1 -fno-exceptions -I/usr/include/opal -I/usr/include/SDL -DPTRACING=1 -D_REENTRANT -D_GNU_SOURCE=1 -fno-exceptions -I/usr/include/SDL -march=native -O2 -pipe -ggdb -Wall -Wextra -Winit-self -Wswitch-default -Wswitch-enum -Wstrict-aliasing=2 -Wfloat-equal -Wshadow -MT opal-codec-description.lo -MD -MP -MF .deps/opal-codec-description.Tpo -c ../../../../lib/engine/components/opal/opal-codec-description.cpp -o opal-codec-description.o >/dev/null 2>&1
../../../../lib/engine/components/opal/opal-bank.cpp: In member function 'void Opal::Bank::on_new_account_form_submitted(bool, Ekiga::Form&, Opal::Account::Type)':
../../../../lib/engine/components/opal/opal-bank.cpp:179: error: exception handling disabled, use -fexceptions to enable
make[6]: *** [opal-bank.lo] Error 1
mv -f .deps/opal-codec-description.Tpo .deps/opal-codec-description.Plo
mv -f .deps/opal-call.Tpo .deps/opal-call.Plo
mv -f .deps/pcss-endpoint.Tpo .deps/pcss-endpoint.Plo
 x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../../.. -I../../../../lib -I../../../../lib/gmconf -I../../../../lib/toolbox/ -I../../../../lib/engine/ -I../../../../lib/engine/account -I../../../../lib/engine/addressbook -I../../../../lib/engine/chat -I../../../../lib/engine/hal -I../../../../lib/engine/presence -I../../../../lib/engine/protocol -I../../../../lib/engine/videooutput -I../../../../lib/engine/videoinput -I../../../../lib/engine/audioinput -I../../../../lib/engine/audiooutput -I../../../../lib/engine/framework -I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -DPTRACING=1 -D_REENTRANT -D_GNU_SOURCE=1 -fno-exceptions -I/usr/include/opal -I/usr/include/SDL -DPTRACING=1 -D_REENTRANT -D_GNU_SOURCE=1 -fno-exceptions -I/usr/include/SDL -march=native -O2 -pipe -ggdb -Wall -Wextra -Winit-self -Wswitch-default -Wswitch-enum -Wstrict-aliasing=2 -Wfloat-equal -Wshadow -MT opal-main.lo -MD -MP -MF .deps/opal-main.Tpo -c ../../../../lib/engine/components/opal/opal-main.cpp -o opal-main.o >/dev/null 2>&1
mv -f .deps/opal-main.Tpo .deps/opal-main.Plo
mv -f .deps/opal-gmconf-bridge.Tpo .deps/opal-gmconf-bridge.Plo
 x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../../.. -I../../../../lib -I../../../../lib/gmconf -I../../../../lib/toolbox/ -I../../../../lib/engine/ -I../../../../lib/engine/account -I../../../../lib/engine/addressbook -I../../../../lib/engine/chat -I../../../../lib/engine/hal -I../../../../lib/engine/presence -I../../../../lib/engine/protocol -I../../../../lib/engine/videooutput -I../../../../lib/engine/videoinput -I../../../../lib/engine/audioinput -I../../../../lib/engine/audiooutput -I../../../../lib/engine/framework -I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -DPTRACING=1 -D_REENTRANT -D_GNU_SOURCE=1 -fno-exceptions -I/usr/include/opal -I/usr/include/SDL -DPTRACING=1 -D_REENTRANT -D_GNU_SOURCE=1 -fno-exceptions -I/usr/include/SDL -march=native -O2 -pipe -ggdb -Wall -Wextra -Winit-self -Wswitch-default -Wswitch-enum -Wstrict-aliasing=2 -Wfloat-equal -Wshadow -MT opal-call-manager.lo -MD -MP -MF .deps/opal-call-manager.Tpo -c ../../../../lib/engine/components/opal/opal-call-manager.cpp -o opal-call-manager.o >/dev/null 2>&1
mv -f .deps/opal-call-manager.Tpo .deps/opal-call-manager.Plo
make[6]: Leaving directory `/var/tmp/paludis/net-voip-ekiga-3.1.2/work/ekiga-3.1.2/lib/engine/components/opal'
make[5]: Leaving directory `/var/tmp/paludis/net-voip-ekiga-3.1.2/work/ekiga-3.1.2/lib/engine/components'
make[5]: *** [all-recursive] Error 1
make[4]: Leaving directory `/var/tmp/paludis/net-voip-ekiga-3.1.2/work/ekiga-3.1.2/lib/engine'
make[4]: *** [all-recursive] Error 1
make[3]: Leaving directory `/var/tmp/paludis/net-voip-ekiga-3.1.2/work/ekiga-3.1.2/lib'
make[3]: *** [all-recursive] Error 1
make[2]: *** [all] Error 2
make[2]: Leaving directory `/var/tmp/paludis/net-voip-ekiga-3.1.2/work/ekiga-3.1.2/lib'
make[1]: Leaving directory `/var/tmp/paludis/net-voip-ekiga-3.1.2/work/ekiga-3.1.2'
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2
/usr/libexec/paludis/utils/emake: emake returned error 2

!!! ERROR in net-voip/ekiga-3.1.2:

Portage 2.2_rc33 (default/linux/amd64/2008.0/desktop, gcc-4.4.0, glibc-2.9_p20081201-r2, 2.6.29.3 x86_64)
=================================================================
System uname: Linux-2.6.29.3-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q9650_@_3.00GHz-with-gentoo-2.0.0
Timestamp of tree: Sat, 09 May 2009 13:15:02 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p17-r1
dev-java/java-config: 1.3.7-r1, 2.1.7
dev-lang/python:     2.5.4-r2, 2.6.2
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r2
sys-apps/sandbox:    1.9
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -ggdb"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=native -O2 -pipe -ggdb"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.osuosl.org/ http://distro.ibiblio.org/pub/linux/distributions/gentoo/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en"
MAKEOPTS="-j8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/overlays/zugaina /usr/local/overlays/THE /usr/local/overlays/sunrise /usr/local/overlays/gnome /usr/local/overlays/desktop-effects /usr/local/overlays/vmware /usr/local/overlays/ikelos /usr/local/overlays/java-overlay /usr/local/overlays/berkano /usr/local/overlays/gcc-porting /usr/local/overlays/myoverlay"
SYNC="rsync://rsync.us.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 amr avahi bash-completion berkdb bluetooth branding bzip2 cairo cdda cdr cli cracklib crypt css cups dbus dri dts dvd dvdr dvdread eds emboss encode esd evo expat fam ffmpeg flac fortran gdbm gif gnome gnome-keyring gpm gstreamer gtk hal iconv ipv6 isdnlog java jpeg lcms ldap libnotify mad midi mikmod mmx mono mp3 mpeg mudflap multilib nautilus ncurses networkmanager nls nptl nptlonly nsplugin ogg opengl openmp paludis pam pcre pdf perl pic png policykit ppds pppd pulseaudio python quicktime readline reflection ruby samba sdl session spell spl sqlite sse sse2 ssl startup-notification svg sysfs tcpd theora tiff tracker truetype unicode usb userlocales vcd vorbis x264 xcb xml xorg xulrunner xv xvid zlib" ALSA_CARDS="cmipci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Jose daLuz 2009-05-10 21:50:50 UTC
Created attachment 190879 [details]
Output of paludis --info ekiga
Comment 2 Mike Auty gentoo-dev 2009-07-05 11:57:41 UTC
I've now removed ekiga from my overlay, as it's in the main tree.  Is this still happening with ekiga-3.2.4 from the main tree?
Comment 3 Jose daLuz 2009-07-05 12:53:47 UTC
I dropped back to ekiga 2.0.12 after these build problems. I still can't build opal 3.6.2 from the tree so I can't get past the dependency on that opal version to attempt to build ekiga 3.2.4.
Comment 4 Mike Auty gentoo-dev 2009-07-05 12:56:28 UTC
Ok, thanks for getting back to me.  I'm going to mark this as TEST-REQUEST until we can find out whether the problem still happens or not.  Feel free to reopen this bug if you manage to test it and still have the problem...  5:)
Comment 5 Jose daLuz 2009-07-07 23:14:14 UTC
I was able to build opal with the patch from bug 269328. The build of ekiga 3.2.4 from Portage fails with the same error. I am attaching the build log.
Comment 6 Jose daLuz 2009-07-07 23:16:36 UTC
Created attachment 197125 [details]
Build log for ekiga 3.2.4
Comment 7 Jose daLuz 2009-07-07 23:17:53 UTC
Created attachment 197126 [details]
Output of paludis --info ekiga for 3.2.4
Comment 8 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2009-07-07 23:53:14 UTC
I'm not exactly sure whether this is gcc4.4-related bug. Both OPAL and ptlib provides -fno-exceptions within *_CFLAGS and that's why this fails to build. I've created a dirty fix, adding -fexceptions to the end of AM_CXXFLAGS. I'll post it in next 30 mins after I'll finishing building Ekiga and see if it really works.
Comment 9 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2009-07-08 00:03:07 UTC
Created attachment 197133 [details, diff]
Patch to fix the compilation
Comment 10 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2009-07-08 00:04:05 UTC
Created attachment 197135 [details, diff]
Diff to ebuild
Comment 11 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2009-07-08 00:08:50 UTC
First, I'm aware that this is probably not the best way of fixing this. I'm also aware that I should have modified the .am file instead but autoreconf requires GNOME junk and I didn't want to add unnecessary dependencies.

After applying the patch, Ekiga builds fine but doesn't work properly. Few seconds after launching it just hangs - but I'm not sure whether this is patch-related issue (I use -gnome). Could you check if it works for you?
Comment 12 Jose daLuz 2009-07-08 02:54:05 UTC
(In reply to comment #11)
> After applying the patch, Ekiga builds fine but doesn't work properly. Few
> seconds after launching it just hangs - but I'm not sure whether this is
> patch-related issue (I use -gnome). Could you check if it works for you?
> 
It builds with the patch. I was able to make a couple of calls with no issues, no hangs here.
Comment 13 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-07-09 09:30:01 UTC
Michal and Jose, can you try with this patch and only this patch:
http://git.gnome.org/cgit/ekiga/patch/?id=c518562795472f9d7ca2a1bf0eebee5c7a8a9b7e
Comment 14 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2009-07-09 10:00:04 UTC
Created attachment 197291 [details, diff]
Modified GIT patch
Comment 15 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2009-07-09 10:02:21 UTC
(In reply to comment #13)
> Michal and Jose, can you try with this patch and only this patch:
> http://git.gnome.org/cgit/ekiga/patch/?id=c518562795472f9d7ca2a1bf0eebee5c7a8a9b7e

I had to strip one of 'sections' (or how do you call it?) to let it apply but it was only some kind of retab (yes, I love when someone merges important changes and retab in same commit).

Then, it applies and solves the issue. Ekiga even seems to work longer before hanging (;.
Comment 16 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-07-09 17:06:34 UTC
Fixed in CVS.
Thanks for your help, Michal.